CVE-2024-31636

NameCVE-2024-31636
DescriptionAn issue in LIEF v.0.14.1 allows a local attacker to obtain sensitive information via the name parameter of the machd_reader.c component.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1071743

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
lief (PTS)sid, buster, bookworm, bullseye0.9.0-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
liefsource(unstable)(unfixed)1071743

Notes

[bookworm] - lief <no-dsa> (Minor issue)
[bullseye] - lief <no-dsa> (Minor issue)
[buster] - lief <postponed> (Minor issue)
https://github.com/lief-project/LIEF/issues/1038
https://github.com/lief-project/LIEF/commit/307e113f8e00b034f0a5f1baa33e54d636c52ea3

Search for package or bug name: Reporting problems